slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSRQCGSetReset

Sets the reset parameter of the RQCG iteration. Every nrest iterations, the solver performs a Rayleigh-Ritz projection step.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSRQCGSetReset(EPS eps,PetscInt nrest)

Logically Collective

### Input Parameters

| eps | - the eigenproblem solver context
| nrest | - the number of iterations between resets

### Options Database Key

| -eps_rqcg_reset | - Sets the reset parameter

### See Also

EPSRQCGGetReset()

### Level

advanced

### Location

src/eps/impls/cg/rqcg/rqcg.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages